import processing.serial.*;

Serial myPort;        // The serial port
char val;         // data received from the serial port

void setup () 
{
  // set the window size:
  size(600, 600);        

  // List all the available serial ports
  //printArray(Serial.list());
  String portName = "COM4";// Open whatever port is the one you're using.
  myPort = new Serial(this, portName, 9600);
}
void draw () 
{
  // everything happens in the serialEvent()
if (myPort.available() > 0) { // if data is available 
val = myPort.readChar();   //read char
}
background(19,255,60); // set background to green

if (val == '1'){    //if the serial value is 1
fill(70, 20, 255);     // set fill to blue
}
else { 
  fill(255, 255, 0);//yellow
  }
  ellipse(300, 300, 200, 200);
  delay (70);
  print(val);
}
